Sandbox

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
GET
PATCH
DELETE

List all sandbox

API for managing sandbox environments that control network access for task runs.

Required API key scopes

task:read

Path parameters

  • project_id
    string

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/projects/:project_id/sandbox_environments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/sandbox_environments/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"network_access_level": "trusted",
"allowed_domains": [
"string"
],
"repositories": [
"string"
],
"private": true,
"internal": true,
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create sandbox

API for managing sandbox environments that control network access for task runs.

Required API key scopes

task:write

Path parameters

  • project_id
    string

Request parameters

  • name
    string
  • network_access_level
  • allowed_domains
    array
  • include_default_domains
    boolean
  • repositories
    array
  • environment_variables
  • private
    boolean

Response


Example request

POST /api/projects/:project_id/sandbox_environments
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/sandbox_environments/\
-d name="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"network_access_level": "trusted",
"allowed_domains": [
"string"
],
"include_default_domains": true,
"repositories": [
"string"
],
"environment_variables": null,
"has_environment_variables": true,
"private": true,
"internal": true,
"effective_domains": [
"string"
],
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Retrieve sandbox

API for managing sandbox environments that control network access for task runs.

Required API key scopes

task:read

Path parameters

  • id
    string
  • project_id
    string

Response


Example request

GET /api/projects/:project_id/sandbox_environments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/sandbox_environments/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"network_access_level": "trusted",
"allowed_domains": [
"string"
],
"include_default_domains": true,
"repositories": [
"string"
],
"environment_variables": null,
"has_environment_variables": true,
"private": true,
"internal": true,
"effective_domains": [
"string"
],
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Update sandbox

API for managing sandbox environments that control network access for task runs.

Required API key scopes

task:write

Path parameters

  • id
    string
  • project_id
    string

Request parameters

  • name
    string
  • network_access_level
  • allowed_domains
    array
  • include_default_domains
    boolean
  • repositories
    array
  • environment_variables
  • private
    boolean

Response


Example request

PATCH /api/projects/:project_id/sandbox_environments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/sandbox_environments/:id/\
-d name="string"

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"network_access_level": "trusted",
"allowed_domains": [
"string"
],
"include_default_domains": true,
"repositories": [
"string"
],
"environment_variables": null,
"has_environment_variables": true,
"private": true,
"internal": true,
"effective_domains": [
"string"
],
"created_by": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "user@example.com",
"is_email_verified": true,
"hedgehog_config": {
"property1": null,
"property2": null
},
"role_at_organization": "engineering"
},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Delete sandbox

API for managing sandbox environments that control network access for task runs.

Required API key scopes

task:write

Path parameters

  • id
    string
  • project_id
    string

Example request

DELETE /api/projects/:project_id/sandbox_environments/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/sandbox_environments/:id/

Example response

Status 204 No response body

Community questions

Questions about this page? or post a community question.